An issue has been discovered in GitLab affecting all versions starting from 15.3 before 15.7.8, versions of 15.8 before 15.8.4, and version 15.9 before 15.9.2. Google IAP details in Prometheus integration were not hidden, could be leaked from instance, group, or project settings to other users.
Published 2023-03-09 21:15:11
Updated 2023-03-15 14:27:20
Source GitLab Inc.
View at NVD,   CVE.org

Exploit prediction scoring system (EPSS) score for CVE-2022-4289

Probability of exploitation activity in the next 30 days: 0.10%

Percentile, the proportion of vulnerabilities that are scored at or less: ~ 40 % EPSS Score History EPSS FAQ

CVSS scores for CVE-2022-4289

Base Score Base Severity CVSS Vector Exploitability Score Impact Score Score Source
6.4
MEDIUM CVSS:3.1/AV:N/AC:L/PR:L/UI:N/S:C/C:L/I:L/A:N
3.1
2.7
GitLab Inc.
4.3
MEDIUM CVSS:3.1/AV:N/AC:L/PR:L/UI:N/S:U/C:L/I:N/A:N
2.8
1.4
NIST

References for CVE-2022-4289

Products affected by CVE-2022-4289

  • Gitlab » Gitlab » Community Edition
    Versions from including (>=) 15.9.0 and before (<) 15.9.2
    cpe:2.3:a:gitlab:gitlab:*:*:*:*:community:*:*:*
  • Gitlab » Gitlab » Community Edition
    Versions from including (>=) 15.3.0 and before (<) 15.7.8
    cpe:2.3:a:gitlab:gitlab:*:*:*:*:community:*:*:*
  • Gitlab » Gitlab » Enterprise Edition
    Versions from including (>=) 15.9.0 and before (<) 15.9.2
    cpe:2.3:a:gitlab:gitlab:*:*:*:*:enterprise:*:*:*
  • Gitlab » Gitlab » Enterprise Edition
    Versions from including (>=) 15.8.0 and before (<) 15.8.4
    cpe:2.3:a:gitlab:gitlab:*:*:*:*:enterprise:*:*:*
  • Gitlab » Gitlab » Enterprise Edition
    Versions from including (>=) 15.3.0 and before (<) 15.7.8
    cpe:2.3:a:gitlab:gitlab:*:*:*:*:enterprise:*:*:*
  • Gitlab » Gitlab » Community Edition
    Versions from including (>=) 15.8.0 and before (<) 15.8.4
    cpe:2.3:a:gitlab:gitlab:*:*:*:*:community:*:*:*
This web site uses cookies for managing your session, storing preferences, website analytics and additional purposes described in our privacy policy.
By using this web site you are agreeing to CVEdetails.com terms of use!